# nano-keras

## Overview

### **nano-keras** is a compact implementation of [Keras](https://keras.io/) using only Python and NumPy. It's designed with the primary aim of deepening understanding about neural network fundamentals and their implementation at a lower level. While it might not match the speed or feature-rich capabilities of Keras, it serves as an educational project to explore the inner workings of neural networks

## Key Features

### - Simplicity: Built using fundamental Python and NumPy functionalities, emphasizing simplicity and readability

### - Educational: Intended as a learning tool to understand neural network components at a lower level

### - Customization: Allows for tinkering and understanding the core mechanics of neural network operations

## Instalation

### **nano-keras** is available on [PyPI](https://pypi.org/project/nano-keras/) so in order to download it open a terminal and paste:

#### pip install nano-keras

### You should have succesfully installed nano-keras so to use it in your python file you only need to import it like this:

#### import nano_keras

### If you have an issue message me on github or send me an email

## Documentation

### Currently, the documentation is in progress and is expected to be released along with the first version on November 12th. It will cover:

#### - Usage examples

#### - Explanation of classes and methods

## License

### This project is licensed under the MIT License - see the LICENSE file for details
